From 0e08e39f269d7ec1ead5441a2d749d746098af63 Mon Sep 17 00:00:00 2001
From: Gustaf Rydholm <gustaf.rydholm@gmail.com>
Date: Tue, 20 Sep 2022 00:17:38 +0200
Subject: Add (un)mount usbs

---
 .local/bin/dmenuunmount | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
 create mode 100755 .local/bin/dmenuunmount

(limited to '.local/bin/dmenuunmount')

diff --git a/.local/bin/dmenuunmount b/.local/bin/dmenuunmount
new file mode 100755
index 0000000..5006358
--- /dev/null
+++ b/.local/bin/dmenuunmount
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# A dmenu prompt to unmount drives.
+# Provides you with mounted partitions, select one to unmount.
+# Drives mounted at /, /boot and /home will not be options to unmount.
+
+unmountusb() {
+	[ -z "$drives" ] && exit
+	chosen="$(echo "$drives" | dmenu -i -p "Unmount which drive?")" || exit 1
+	chosen="$(echo "$chosen" | awk '{print $1}')"
+	[ -z "$chosen" ] && exit
+	sudo -A umount "$chosen" && notify-send "💻 USB unmounting" "$chosen unmounted."
+	}
+
+drives=$(lsblk -nrpo "name,type,size,mountpoint,label" | awk -F':' '{gsub(/ /,":")}$4!~/\/boot|\/efi|\/home$|SWAP/&&length($4)>1{printf "%s (%s) %s\n",$4,$3,$5}')
+
+if ! grep simple-mtpfs /etc/mtab; then
+	[ -z "$drives" ] && echo "No drives to unmount." &&  exit
+	echo "Unmountable USB drive detected."
+	unmountusb
+else
+	if [ -n "$drives" ]
+	then
+		echo "Unmountable USB drive(s) detected."
+    unmountusb
+	fi
+fi
-- 
cgit v1.2.3-70-g09d2